KIWIX(1)

NAME
kiwix-serve - Kiwix HTTP Server

SYNOPSIS
kiwix-serve [--index=INDEX_PATH] [--port=PORT] [--verbose] [--daemon] [--attachToProcess=PID] ZIM_PATH
kiwix-serve --library [--port=PORT] [--verbose] [--daemon] [--attachToProcess=PID] LIBRARY_PATH

DESCRIPTION

Stand-alone HTTP server for serving ZIM content over the network.

--index=INDEX_PATH
    Path to index folder created using kiwix-index.

--port=PORT
    Port number on which the server should listen.
    By default, server listens on port 80.

--verbose
    Enable verbose output.

--daemon
    Run the server as a daemon

--attachToProcess=PID
    Shutdown the server when process numbered PID dies.

ZIM_PATH
    ZIM file of the content to serve.
    Mandatory if not in library mode.

--library
    Enable library mode.
    Serves the contents of a library file instead of a single ZIM file.

LIBRARY_PATH
    Kiwix library file path.
    Library is XML file created using kiwix-manage.

SEE ALSO
kiwix(1) kiwix-index(1) kiwix-manage(1)
kiwix-install(1) kiwix-compact(1)

AUTHOR
Emmanuel Engelhart <kelson@kiwix.org>
Vasudev Kamath <kamathvasudev@gmail.com> (Manual)